org.keycloak.adapters.springboot

## Class KeycloakSpringBootProperties

- java.lang.Object
- - org.keycloak.representations.adapters.config.BaseRealmConfig
  - - org.keycloak.representations.adapters.config.BaseAdapterConfig
    - - org.keycloak.representations.adapters.config.AdapterConfig
      - - org.keycloak.adapters.springboot.KeycloakSpringBootProperties

-     @ConfigurationProperties(prefix="keycloak",
                               ignoreUnknownFields=false)
      public class KeycloakSpringBootProperties
      extends AdapterConfig

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeycloakSpringBootProperties.SecurityCollection`
    `static class` | `KeycloakSpringBootProperties.SecurityConstraint`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.adapters.config.AdapterConfig

      `allowAnyHostname, alwaysRefreshToken, authServerUrlForBackendRequests, clientKeyPassword, clientKeystore, clientKeystorePassword, connectionPoolSize, disableTrustManager, principalAttribute, registerNodeAtStartup, registerNodePeriod, tokenStore, truststore, truststorePassword`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseAdapterConfig

      `bearerOnly, cors, corsAllowedHeaders, corsAllowedMethods, corsMaxAge, credentials, enableBasicAuth, exposeToken, publicClient, resource, useResourceRoleMappings`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `authServerUrl, realm, realmKey, sslRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakSpringBootProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<KeycloakSpringBootProperties.SecurityConstraint>` | `getSecurityConstraints()`
    `void` | `setSecurityConstraints(List<KeycloakSpringBootProperties.SecurityConstraint> securityConstraints)`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.AdapterConfig

      `getAuthServerUrlForBackendRequests, getClientKeyPassword, getClientKeystore, getClientKeystorePassword, getConnectionPoolSize, getPrincipalAttribute, getRegisterNodePeriod, getTokenStore, getTruststore, getTruststorePassword, isAllowAnyHostname, isAlwaysRefreshToken, isDisableTrustManager, isRegisterNodeAtStartup, setAllowAnyHostname, setAlwaysRefreshToken, setAuthServerUrlForBackendRequests, setClientKeyPassword, setClientKeystore, setClientKeystorePassword, setConnectionPoolSize, setDisableTrustManager, setPrincipalAttribute, setRegisterNodeAtStartup, setRegisterNodePeriod, setTokenStore, setTruststore, setTruststorePassword`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseAdapterConfig

      `getCorsAllowedHeaders, getCorsAllowedMethods, getCorsMaxAge, getCredentials, getResource, isBearerOnly, isCors, isEnableBasicAuth, isExposeToken, isPublicClient, isUseResourceRoleMappings, setBearerOnly, setCors, setCorsAllowedHeaders, setCorsAllowedMethods, setCorsMaxAge, setCredentials, setEnableBasicAuth, setExposeToken, setPublicClient, setResource, setUseResourceRoleMappings`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `getAuthServerUrl, getRealm, getRealmKey, getSslRequired, setAuthServerUrl, setRealm, setRealmKey, setSslRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakSpringBootProperties

          public KeycloakSpringBootProperties()

  - ### Method Detail

    - #### getSecurityConstraints

          public List<KeycloakSpringBootProperties.SecurityConstraint> getSecurityConstraints()

    - #### setSecurityConstraints

          public void setSecurityConstraints(List<KeycloakSpringBootProperties.SecurityConstraint> securityConstraints)

Copyright © 2015. All rights reserved.